Subject: RE: [Speechsc] Recognition Completion-Cause Codes 003 and 008 revisited

From: "Shanmugham, Saravanan" <[email-masked]>
Date: Tue, 23 Aug 2005 14:21:38 -0700

I was going to remove Recognition-Timeout based on the thread on the
confusion between this cause and max-speech-timeout etc.

But it was agreed we need a timeout capability for HotWord Recognition
based ona separate thread.

In the hotword case, none of the timeout desciptions match the way
timeout happens in hotword recognition. Since there, even if the words
spoken until that point did not match any of the hotwords, the
recognition would still continue. Hence a separate completion code for
hotword recognition timeout was needed. And I have used 03 for that use
case.

Sarvi

     -----Original Message-----
     From: [email-masked] 
     [mailto:[email-masked]] On Behalf Of Andrew Wahbe
     Sent: Tuesday, August 23, 2005 7:34 AM
     To: [email-masked]
     Subject: [Speechsc] Recognition Completion-Cause Codes 003 
     and 008 revisited
     
     A few weeks ago, there was an extensive discussion about 
     the recognition completion-cause codes for cases where 
     recognition-timers fire. There seemed to be two codes, 003 
     and 008, that meant the same thing -- the recognition was 
     aborted due to the recognition-timer firing. This case 
     maps to the maxspeechtimeout event in VoiceXML.
     
     A lot of hypothesizing was done to try and figure out what 
     the difference between the codes was. After some 
     discussion it seems we ended up with no codes that map to 
     maxspeechtimeout in VoiceXML (i.e. 
     the recognition was aborted because of recognition-timeout 
     and there is no match).
     
     I think things would be set right if 003 was changed from:
     
        | 003    | recognition-timeout   | RECOGNIZE in hotword 
     mode        |
        |        |                       | completed without a 
     match due to |
        |        |                       | a 
     recognition-timeout            |
     
     to:
     
        | 003    | recognition-timeout   | RECOGNIZE completed 
     without a    |
        |        |                       | match due to a       
                 |
        |        |                       | recognition-timeout  
                 |

     I am not sure why a special code is needed for this timer 
     firing in hotword mode. Am I missing something?
     
     Andrew Wahbe
     VoiceGenie Technologies

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc

---

From: Andrew Wahbe <[email-masked]>
Date: Wed, 24 Aug 2005 13:46:05 -0400

The problem with re-using one of the redundant completion-cause codes is 
that we changed the meaning of the other one -- it has been limited to 
cases where we have a match. Now neither of the completion-cause codes 
map to VoiceXML maxspeechtimeout -- there was a recognition-timeout and 
there was no match. I think we still need a code for this case.

The explanation for the hotword completion-cause code doesn't make sense 
or I'm missing something. You're saying that the recognition would still 
continue when the timer fires even when there is no match. This makes 
sense for hotword recognition, but if recognition continues, then why do 
you need a completion-cause code... recognition has not completed.

Actually, now that I think about it, in the context of hotword 
recognition, the recognition-timeout seems to be identical to the 
hotword-max-duration. Is this accurate?

Andrew Wahbe
VoiceGenie Technologies